
.namespace s16_HotSpot

function OnActivate()
	
	OPLog.Log("onactivate "..self.Name)
	if self.Name == "back_s16" then
		NavigationManager.SwitchTo(nil,"s15_SearchSite")	
	end
	
	if self.Name == "porte_s17_area" then
		NavigationManager.SwitchTo(nil,"s17_SearchSite")	
	end

end

function OnEnable()
	AreaHotspot.OnEnable()
	--self.firstclick = true
	OPLog.Log("mon onenable "..self.Name)

end

function PrivateCanClickOn()
	--if SampleLevel.IsEqual("CloseupMecaState","finished")  then
	--	return false
	--end
	
	return true
end
function GetSpecificCursor()
	if self.Name == "porte_s17_area" then
		return 4,"s17"
	elseif	self.Name == "back_s16" then
		return 11,"s15"
	else
		return CURSOR_AREA_HOTSPOT
	end
end

